QGIS Application - Bug report #15647
WFS client does not update layer list
2016-10-01 05:41 AM - Ari Joima

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Web Services clients/WFS

Affected QGIS version:2.16.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23570

Description

With 2.16.2 when one connects to a WFS provider the layer list is not updated after the first time Connect is pressed in the dialog (the
response is cached locally). This means that when a new layer is published or a layer is unpublished at the server those changes are not

shown in the client.

The update can be forced by removing the client cache (rm -rf .qgis2/cache/data7). But this is again one time only.

The problem can be fixed by changing 'false’ to 'true' in the sendGet call in QgsWFSCapabilities::requestCapabilities (that is the bool

forceRefresh parameter).

Associated revisions

Revision b8ff71af - 2016-10-06 06:44 PM - Even Rouault

[WFS provider] Force refresh of GetCapabilities when pressing Connect

The cached response to GetCapabilities was always used, even when

pressing Connect. Now a new request is sent over the network.

Fixes #15647

Revision 302570e5 - 2016-10-06 06:52 PM - Even Rouault

[WFS provider] Force refresh of GetCapabilities when pressing Connect

The cached response to GetCapabilities was always used, even when
pressing Connect. Now a new request is sent over the network.

Fixes #15647

Revision 85e9389c¢ - 2016-10-06 06:53 PM - Even Rouault

[WFS provider] Force refresh of GetCapabilities when pressing Connect

The cached response to GetCapabilities was always used, even when

pressing Connect. Now a new request is sent over the network.

Fixes #15647
History

#1 - 2016-10-04 01:57 AM - Eduardo Gonzalez

| did some testing about this problem and no cache seems to be present for me. | have my own test geoserver where to which | connect using the
wfs-dialog, then | remove some layers, connect again and the list is being downloaded from geoserver, because the layers removed there are not anymore
in the list.

| can see the .qgis2/cache/data7 folder, but as mentioned above no cache seems to be used in my case.

| am using a virtualbox Ubuntu 14.04 machine with QGIS 2.16.3 installed

#2 - 2016-10-05 04:46 AM - Ari Jolma

| checked this with Eduardo and his QGIS does not seem to store http request responses to cache. Why, we don't know but that's the reason the WFS

client works for him.

#3 - 2016-10-05 05:24 AM - Eduardo Gonzalez

| managed to replicate Ari's problem. | had to update QGIS's settings for network caching. It seems the default is 0 kb and then no cache is saved,
therefore | did not have Ari's problem. Now | extended the cache size and the wfs layer list is not updated using the Connect button.

#4 - 2016-10-06 09:46 AM - Even Rouault
- Status changed from Open to Closed

Fixed in changeset commit:"b8ff71af4671165b61fa4f9a7f652e38e4f8bb18".

#5 - 2016-10-06 09:55 AM - Even Rouault
- Target version set to Version 2.16
